Gentoo Archives: gentoo-java

From: "William L. Thomson Jr." <wltjr@g.o>
To: gentoo-java <gentoo-java@l.g.o>
Subject: Re: [gentoo-java] caucho-services, burlap and hessian mess - dropping JDK 1.4 ?
Date: Tue, 24 Jun 2008 15:04:14
Message-Id: 1214319846.28470.4.camel@wlt.obsidian-studios.com
In Reply to: Re: [gentoo-java] caucho-services, burlap and hessian mess - dropping JDK 1.4 ? by Krzysiek Pawlik
On Tue, 2008-06-24 at 09:29 +0200, Krzysiek Pawlik wrote:
> Ok, there's a problem with mx4j-*-3.0.2: > > 1. commons-modeler: has >=jdk-1.4 - would need to be changed to 1.5 > 2. groovy: has || ( =jdk-1.5 =jdk-1.4 ) > 3. proxool: has >=jdk-1.4 > 4. tomcat: needs mx4j when java5 USE flag is disabled, it uses then JDK 1.4 and > mx4j-core is compiled with 1.5 (due to hessian needing 1.5) > > Maybe it's time to deprecate 1.4 and reccomend >=1.5 where it's possible? > .... > If there are no objections I volunteer to do the transition.
No problems here. Although there was an issue with Tomcat 5.5 having war deployment or redeployment issues when compiled as 1.5. Something to do with differences in Catalina.jar. But it wasn't really wide spread, nor was a bug ever filed on it. So that could become an issue if 1.4 is removed. Worse case we have to find problem or take some other action. Also might be some fun with jdbc-jaybird. But otherwise I have no problems, and your welcome to touch any package I maintain as needed in the process. Just try for little to no borkage. If you sprinkle while you tinkle, please be neat and wipe the seat :) Thanks for the effort, and initiative. -- William L. Thomson Jr. amd64/Java/Trustees Gentoo Foundation

Attachments

File name MIME type
signature.asc application/pgp-signature